-- --------------------------------------------------------
-- Host:                         DT-0000018
-- Server version:               10.1.26-MariaDB - mariadb.org binary distribution
-- Server OS:                    Win32
-- HeidiSQL Version:             10.2.0.5599
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- Dumping structure for table sample_1.tbl_asset_code
CREATE TABLE IF NOT EXISTS `tbl_asset_code` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_type_id` int(11) NOT NULL DEFAULT '0',
  `asset_code` varchar(20) NOT NULL,
  `active` enum('yes','no') NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `item_type_id` (`item_type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_asset_code: ~0 rows (approximately)
/*!40000 ALTER TABLE `tbl_asset_code` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_asset_code` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_bookstore
CREATE TABLE IF NOT EXISTS `tbl_bookstore` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bookstore_code` varchar(50) NOT NULL,
  `bookstore_name` varchar(50) NOT NULL,
  `active` enum('yes','no') NOT NULL,
  `created_by` int(11) DEFAULT '0',
  `modified_by` int(11) DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`,`modified_by`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=COMPACT;

-- Dumping data for table sample_1.tbl_bookstore: ~0 rows (approximately)
/*!40000 ALTER TABLE `tbl_bookstore` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_bookstore` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_category
CREATE TABLE IF NOT EXISTS `tbl_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category_name` varchar(50) NOT NULL COMMENT 'Hardware,Books,Office Supplies,Marketing Materials',
  `active` enum('yes','no') NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`,`modified_by`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_category: ~4 rows (approximately)
/*!40000 ALTER TABLE `tbl_category` DISABLE KEYS */;
INSERT INTO `tbl_category` (`id`, `category_name`, `active`, `created_by`, `modified_by`, `date_created`, `date_modified`) VALUES
	(1, 'Hardware', 'yes', 0, 0, '2018-01-11 17:22:48', '0000-00-00 00:00:00'),
	(2, 'Books', 'yes', 0, 0, '2018-01-11 17:22:48', '0000-00-00 00:00:00'),
	(3, 'Office Supplies', 'yes', 0, 0, '2018-01-11 17:22:48', '0000-00-00 00:00:00'),
	(4, 'Marketing Materials', 'yes', 0, 0, '2018-01-11 17:22:48', '0000-00-00 00:00:00');
/*!40000 ALTER TABLE `tbl_category` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_city
CREATE TABLE IF NOT EXISTS `tbl_city` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `province_id` int(11) NOT NULL,
  `city` varchar(50) NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `province_id` (`province_id`),
  KEY `created_by` (`created_by`,`modified_by`),
  CONSTRAINT `tbl_city_ibfk_1` FOREIGN KEY (`province_id`) REFERENCES `tbl_province` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=1635 DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_city: ~1,634 rows (approximately)
/*!40000 ALTER TABLE `tbl_city` DISABLE KEYS */;
INSERT INTO `tbl_city` (`id`, `province_id`, `city`, `created_by`, `modified_by`, `date_created`, `date_modified`) VALUES
	(1, 1, 'Bangued', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(2, 1, 'Boliney', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(3, 1, 'Bucay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(4, 1, 'Bucloc', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(5, 1, 'Daguioman', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(6, 1, 'Danglas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(7, 1, 'Dolores', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(8, 1, 'La Paz', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(9, 1, 'Lacub', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(10, 1, 'Lagangilang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(11, 1, 'Lagayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(12, 1, 'Langiden', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(13, 1, 'Licuan-Baay (Licuan)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(14, 1, 'Luba', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(15, 1, 'Malibcong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(16, 1, 'Manabo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(17, 1, 'Peñarrubia', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(18, 1, 'Pidigan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(19, 1, 'Pilar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(20, 1, 'Sallapadan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(21, 1, 'San Isidro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(22, 1, 'San Juan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(23, 1, 'San Quintin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(24, 1, 'Tayum', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(25, 1, 'Tineg', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(26, 1, 'Tubo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(27, 1, 'Villaviciosa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(28, 2, 'Buenavista', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(29, 2, 'Butuan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(30, 2, 'Cabadbaran', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(31, 2, 'Carmen', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(32, 2, 'Jabonga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(33, 2, 'Kitcharao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(34, 2, 'Las Nieves', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(35, 2, 'Magallanes', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(36, 2, 'Nasipit', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(37, 2, 'Remedios T. Romualdez', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(38, 2, 'Santiago', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(39, 2, 'Tubay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(40, 3, 'Bayugan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(41, 3, 'Bunawan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(42, 3, 'Esperanza', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(43, 3, 'La Paz', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(44, 3, 'Loreto', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(45, 3, 'Prosperidad', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(46, 3, 'Rosario', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(47, 3, 'San Francisco', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(48, 3, 'San Luis', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(49, 3, 'Santa Josefa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(50, 3, 'Sibagat', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(51, 3, 'Talacogon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(52, 3, 'Trento', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(53, 3, 'Veruela', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(54, 4, 'Altavas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(55, 4, 'Balete', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(56, 4, 'Banga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(57, 4, 'Batan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(58, 4, 'Buruanga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(59, 4, 'Ibajay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(60, 4, 'Kalibo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(61, 4, 'Lezo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(62, 4, 'Libacao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(63, 4, 'Madalag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(64, 4, 'Makato', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(65, 4, 'Malay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(66, 4, 'Malinao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(67, 4, 'Nabas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(68, 4, 'New Washington', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(69, 4, 'Numancia', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(70, 4, 'Tangalan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(71, 5, 'Bacacay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(72, 5, 'Camalig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(73, 5, 'Daraga (Locsin)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(74, 5, 'Guinobatan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(75, 5, 'Jovellar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(76, 5, 'Legazpi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(77, 5, 'Libon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(78, 5, 'Ligao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(79, 5, 'Malilipot', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(80, 5, 'Malinao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(81, 5, 'Manito', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(82, 5, 'Oas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(83, 5, 'Pio Duran', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(84, 5, 'Polangui', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(85, 5, 'Rapu-Rapu', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(86, 5, 'Santo Domingo (Libog)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(87, 5, 'Tabaco', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(88, 5, 'Tiwi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(89, 6, 'Anini-y', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(90, 6, 'Barbaza', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(91, 6, 'Belison', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(92, 6, 'Bugasong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(93, 6, 'Caluya', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(94, 6, 'Culasi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(95, 6, 'Hamtic', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(96, 6, 'Laua-an', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(97, 6, 'Libertad', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(98, 6, 'Pandan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(99, 6, 'Patnongon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(100, 6, 'San Jose de Buenavista', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(101, 6, 'San Remigio', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(102, 6, 'Sebaste', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(103, 6, 'Sibalom', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(104, 6, 'Tibiao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(105, 6, 'Tobias Fornier (Dao)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(106, 6, 'Valderrama', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(107, 7, 'Calanasan (Bayag)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(108, 7, 'Conner', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(109, 7, 'Flora', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(110, 7, 'Kabugao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(111, 7, 'Luna', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(112, 7, 'Pudtol', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(113, 7, 'Santa Marcela', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(114, 8, 'Baler', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(115, 8, 'Casiguran', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(116, 8, 'Dilasag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(117, 8, 'Dinalungan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(118, 8, 'Dingalan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(119, 8, 'Dipaculao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(120, 8, 'Maria Aurora', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(121, 8, 'San Luis', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(122, 9, 'Akbar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(123, 9, 'Al-Barka', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(124, 9, 'Hadji Mohammad Ajul', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(125, 9, 'Hadji Muhtamad', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(126, 9, 'Isabela City', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(127, 9, 'Lamitan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(128, 9, 'Lantawan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(129, 9, 'Maluso', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(130, 9, 'Sumisip', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(131, 9, 'Tabuan-Lasa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(132, 9, 'Tipo-Tipo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(133, 9, 'Tuburan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(134, 9, 'Ungkaya Pukan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(135, 10, 'Abucay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(136, 10, 'Bagac', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(137, 10, 'Balanga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(138, 10, 'Dinalupihan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(139, 10, 'Hermosa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(140, 10, 'Limay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(141, 10, 'Mariveles', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(142, 10, 'Morong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(143, 10, 'Orani', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(144, 10, 'Orion', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(145, 10, 'Pilar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(146, 10, 'Samal', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(147, 11, 'Basco', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(148, 11, 'Itbayat', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(149, 11, 'Ivana', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(150, 11, 'Mahatao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(151, 11, 'Sabtang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(152, 11, 'Uyugan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(153, 12, 'Agoncillo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(154, 12, 'Alitagtag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(155, 12, 'Balayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(156, 12, 'Balete', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(157, 12, 'Batangas City', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(158, 12, 'Bauan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(159, 12, 'Calaca', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(160, 12, 'Calatagan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(161, 12, 'Cuenca', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(162, 12, 'Ibaan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(163, 12, 'Laurel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(164, 12, 'Lemery', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(165, 12, 'Lian', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(166, 12, 'Lipa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(167, 12, 'Lobo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(168, 12, 'Mabini', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(169, 12, 'Malvar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(170, 12, 'Mataasnakahoy', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(171, 12, 'Nasugbu', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(172, 12, 'Padre Garcia', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(173, 12, 'Rosario', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(174, 12, 'San Jose', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(175, 12, 'San Juan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(176, 12, 'San Luis', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(177, 12, 'San Nicolas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(178, 12, 'San Pascual', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(179, 12, 'Santa Teresita', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(180, 12, 'Santo Tomas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(181, 12, 'Taal', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(182, 12, 'Talisay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(183, 12, 'Tanauan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(184, 12, 'Taysan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(185, 12, 'Tingloy', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(186, 12, 'Tuy', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(187, 13, 'Atok', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(188, 13, 'Baguio', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(189, 13, 'Bakun', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(190, 13, 'Bokod', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(191, 13, 'Buguias', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(192, 13, 'Itogon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(193, 13, 'Kabayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(194, 13, 'Kapangan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(195, 13, 'Kibungan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(196, 13, 'La Trinidad', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(197, 13, 'Mankayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(198, 13, 'Sablan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(199, 13, 'Tuba', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(200, 13, 'Tublay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(201, 14, 'Almeria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(202, 14, 'Biliran', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(203, 14, 'Cabucgayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(204, 14, 'Caibiran', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(205, 14, 'Culaba', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(206, 14, 'Kawayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(207, 14, 'Maripipi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(208, 14, 'Naval', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(209, 15, 'Alburquerque', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(210, 15, 'Alicia', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(211, 15, 'Anda', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(212, 15, 'Antequera', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(213, 15, 'Baclayon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(214, 15, 'Balilihan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(215, 15, 'Batuan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(216, 15, 'Bien Unido', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(217, 15, 'Bilar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(218, 15, 'Buenavista', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(219, 15, 'Calape', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(220, 15, 'Candijay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(221, 15, 'Carmen', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(222, 15, 'Catigbian', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(223, 15, 'Clarin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(224, 15, 'Corella', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(225, 15, 'Cortes', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(226, 15, 'Dagohoy', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(227, 15, 'Danao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(228, 15, 'Dauis', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(229, 15, 'Dimiao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(230, 15, 'Duero', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(231, 15, 'Garcia Hernandez', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(232, 15, 'Getafe', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(233, 15, 'Guindulman', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(234, 15, 'Inabanga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(235, 15, 'Jagna', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(236, 15, 'Lila', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(237, 15, 'Loay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(238, 15, 'Loboc', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(239, 15, 'Loon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(240, 15, 'Mabini', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(241, 15, 'Maribojoc', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(242, 15, 'Panglao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(243, 15, 'Pilar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(244, 15, 'President Carlos P. Garcia (Pitogo)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(245, 15, 'Sagbayan (Borja)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(246, 15, 'San Isidro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(247, 15, 'San Miguel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(248, 15, 'Sevilla', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(249, 15, 'Sierra Bullones', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(250, 15, 'Sikatuna', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(251, 15, 'Tagbilaran', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(252, 15, 'Talibon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(253, 15, 'Trinidad', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(254, 15, 'Tubigon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(255, 15, 'Ubay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(256, 15, 'Valencia', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(257, 16, 'Baungon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(258, 16, 'Cabanglasan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(259, 16, 'Damulog', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(260, 16, 'Dangcagan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(261, 16, 'Don Carlos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(262, 16, 'Impasugong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(263, 16, 'Kadingilan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(264, 16, 'Kalilangan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(265, 16, 'Kibawe', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(266, 16, 'Kitaotao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(267, 16, 'Lantapan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(268, 16, 'Libona', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(269, 16, 'Malaybalay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(270, 16, 'Malitbog', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(271, 16, 'Manolo Fortich', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(272, 16, 'Maramag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(273, 16, 'Pangantucan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(274, 16, 'Quezon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(275, 16, 'San Fernando', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(276, 16, 'Sumilao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(277, 16, 'Talakag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(278, 16, 'Valencia', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(279, 17, 'Angat', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(280, 17, 'Balagtas (Bigaa)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(281, 17, 'Baliuag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(282, 17, 'Bocaue', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(283, 17, 'Bulakan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(284, 17, 'Bustos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(285, 17, 'Calumpit', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(286, 17, 'Doña Remedios Trinidad', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(287, 17, 'Guiguinto', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(288, 17, 'Hagonoy', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(289, 17, 'Malolos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(290, 17, 'Marilao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(291, 17, 'Meycauayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(292, 17, 'Norzagaray', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(293, 17, 'Obando', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(294, 17, 'Pandi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(295, 17, 'Paombong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(296, 17, 'Plaridel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(297, 17, 'Pulilan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(298, 17, 'San Ildefonso', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(299, 17, 'San Jose del Monte', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(300, 17, 'San Miguel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(301, 17, 'San Rafael', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(302, 17, 'Santa Maria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(303, 18, 'Abulug', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(304, 18, 'Alcala', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(305, 18, 'Allacapan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(306, 18, 'Amulung', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(307, 18, 'Aparri', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(308, 18, 'Baggao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(309, 18, 'Ballesteros', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(310, 18, 'Buguey', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(311, 18, 'Calayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(312, 18, 'Camalaniugan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(313, 18, 'Claveria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(314, 18, 'Enrile', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(315, 18, 'Gattaran', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(316, 18, 'Gonzaga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(317, 18, 'Iguig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(318, 18, 'Lal-lo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(319, 18, 'Lasam', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(320, 18, 'Pamplona', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(321, 18, 'Peñablanca', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(322, 18, 'Piat', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(323, 18, 'Rizal', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(324, 18, 'Sanchez-Mira', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(325, 18, 'Santa Ana', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(326, 18, 'Santa Praxedes', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(327, 18, 'Santa Teresita', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(328, 18, 'Santo Niño (Faire)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(329, 18, 'Solana', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(330, 18, 'Tuao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(331, 18, 'Tuguegarao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(332, 19, 'Basud', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(333, 19, 'Capalonga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(334, 19, 'Daet', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(335, 19, 'Jose Panganiban', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(336, 19, 'Labo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(337, 19, 'Mercedes', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(338, 19, 'Paracale', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(339, 19, 'San Lorenzo Ruiz (Imelda)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(340, 19, 'San Vicente', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(341, 19, 'Santa Elena', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(342, 19, 'Talisay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(343, 19, 'Vinzons', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(344, 20, 'Baao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(345, 20, 'Balatan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(346, 20, 'Bato', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(347, 20, 'Bombon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(348, 20, 'Buhi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(349, 20, 'Bula', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(350, 20, 'Cabusao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(351, 20, 'Calabanga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(352, 20, 'Camaligan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(353, 20, 'Canaman', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(354, 20, 'Caramoan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(355, 20, 'Del Gallego', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(356, 20, 'Gainza', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(357, 20, 'Garchitorena', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(358, 20, 'Goa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(359, 20, 'Iriga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(360, 20, 'Lagonoy', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(361, 20, 'Libmanan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(362, 20, 'Lupi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(363, 20, 'Magarao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(364, 20, 'Milaor', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(365, 20, 'Minalabac', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(366, 20, 'Nabua', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(367, 20, 'Naga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(368, 20, 'Ocampo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(369, 20, 'Pamplona', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(370, 20, 'Pasacao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(371, 20, 'Pili', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(372, 20, 'Presentacion (Parubcan)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(373, 20, 'Ragay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(374, 20, 'Sagñay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(375, 20, 'San Fernando', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(376, 20, 'San Jose', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(377, 20, 'Sipocot', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(378, 20, 'Siruma', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(379, 20, 'Tigaon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(380, 20, 'Tinambac', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(381, 21, 'Catarman', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(382, 21, 'Guinsiliban', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(383, 21, 'Mahinog', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(384, 21, 'Mambajao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(385, 21, 'Sagay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(386, 22, 'Cuartero', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(387, 22, 'Dao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(388, 22, 'Dumalag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(389, 22, 'Dumarao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(390, 22, 'Ivisan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(391, 22, 'Jamindan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(392, 22, 'Maayon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(393, 22, 'Mambusao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(394, 22, 'Panay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(395, 22, 'Panitan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(396, 22, 'Pilar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(397, 22, 'Pontevedra', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(398, 22, 'President Roxas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(399, 22, 'Roxas City', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(400, 22, 'Sapian', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(401, 22, 'Sigma', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(402, 22, 'Tapaz', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(403, 23, 'Bagamanoc', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(404, 23, 'Baras', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(405, 23, 'Bato', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(406, 23, 'Caramoran', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(407, 23, 'Gigmoto', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(408, 23, 'Pandan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(409, 23, 'Panganiban (Payo)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(410, 23, 'San Andres (Calolbon)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(411, 23, 'San Miguel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(412, 23, 'Viga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(413, 23, 'Virac', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(414, 24, 'Alfonso', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(415, 24, 'Amadeo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(416, 24, 'Bacoor', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(417, 24, 'Carmona', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(418, 24, 'Cavite City', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(419, 24, 'Dasmariñas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(420, 24, 'General Emilio Aguinaldo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(421, 24, 'General Mariano Alvarez', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(422, 24, 'General Trias', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(423, 24, 'Imus', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(424, 24, 'Indang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(425, 24, 'Kawit', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(426, 24, 'Magallanes', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(427, 24, 'Maragondon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(428, 24, 'Mendez (Mendez-Nuñez)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(429, 24, 'Naic', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(430, 24, 'Noveleta', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(431, 24, 'Rosario', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(432, 24, 'Silang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(433, 24, 'Tagaytay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(434, 24, 'Tanza', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(435, 24, 'Ternate', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(436, 24, 'Trece Martires', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(437, 25, 'Alcantara', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(438, 25, 'Alcoy', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(439, 25, 'Alegria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(440, 25, 'Aloguinsan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(441, 25, 'Argao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(442, 25, 'Asturias', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(443, 25, 'Badian', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(444, 25, 'Balamban', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(445, 25, 'Bantayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(446, 25, 'Barili', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(447, 25, 'Bogo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(448, 25, 'Boljoon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(449, 25, 'Borbon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(450, 25, 'Carcar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(451, 25, 'Carmen', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(452, 25, 'Catmon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(453, 25, 'Cebu City', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(454, 25, 'Compostela', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(455, 25, 'Consolacion', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(456, 25, 'Cordova', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(457, 25, 'Daanbantayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(458, 25, 'Dalaguete', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(459, 25, 'Danao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(460, 25, 'Dumanjug', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(461, 25, 'Ginatilan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(462, 25, 'Lapu-Lapu (Opon)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(463, 25, 'Liloan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(464, 25, 'Madridejos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(465, 25, 'Malabuyoc', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(466, 25, 'Mandaue', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(467, 25, 'Medellin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(468, 25, 'Minglanilla', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(469, 25, 'Moalboal', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(470, 25, 'Naga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(471, 25, 'Oslob', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(472, 25, 'Pilar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(473, 25, 'Pinamungajan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(474, 25, 'Poro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(475, 25, 'Ronda', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(476, 25, 'Samboan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(477, 25, 'San Fernando', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(478, 25, 'San Francisco', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(479, 25, 'San Remigio', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(480, 25, 'Santa Fe', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(481, 25, 'Santander', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(482, 25, 'Sibonga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(483, 25, 'Sogod', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(484, 25, 'Tabogon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(485, 25, 'Tabuelan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(486, 25, 'Talisay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(487, 25, 'Toledo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(488, 25, 'Tuburan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(489, 25, 'Tudela', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(490, 26, 'Compostela', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(491, 26, 'Laak (San Vicente)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(492, 26, 'Mabini (Doña Alicia)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(493, 26, 'Maco', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(494, 26, 'Maragusan (San Mariano)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(495, 26, 'Mawab', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(496, 26, 'Monkayo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(497, 26, 'Montevista', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(498, 26, 'Nabunturan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(499, 26, 'New Bataan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(500, 26, 'Pantukan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(501, 27, 'Alamada', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(502, 27, 'Aleosan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(503, 27, 'Antipas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(504, 27, 'Arakan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(505, 27, 'Banisilan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(506, 27, 'Carmen', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(507, 27, 'Kabacan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(508, 27, 'Kidapawan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(509, 27, 'Libungan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(510, 27, 'M\'lang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(511, 27, 'Magpet', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(512, 27, 'Makilala', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(513, 27, 'Matalam', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(514, 27, 'Midsayap', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(515, 27, 'Pigcawayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(516, 27, 'Pikit', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(517, 27, 'President Roxas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(518, 27, 'Tulunan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(519, 28, 'Asuncion (Saug)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(520, 28, 'Braulio E. Dujali', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(521, 28, 'Carmen', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(522, 28, 'Kapalong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(523, 28, 'New Corella', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(524, 28, 'Panabo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(525, 28, 'Samal', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(526, 28, 'San Isidro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(527, 28, 'Santo Tomas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(528, 28, 'Tagum', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(529, 28, 'Talaingod', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(530, 29, 'Bansalan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(531, 29, 'Davao City', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(532, 29, 'Digos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(533, 29, 'Hagonoy', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(534, 29, 'Kiblawan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(535, 29, 'Magsaysay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(536, 29, 'Malalag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(537, 29, 'Matanao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(538, 29, 'Padada', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(539, 29, 'Santa Cruz', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(540, 29, 'Sulop', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(541, 30, 'Don Marcelino', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(542, 30, 'Jose Abad Santos (Trinidad)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(543, 30, 'Malita', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(544, 30, 'Santa Maria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(545, 30, 'Sarangani', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(546, 31, 'Baganga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(547, 31, 'Banaybanay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(548, 31, 'Boston', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(549, 31, 'Caraga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(550, 31, 'Cateel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(551, 31, 'Governor Generoso', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(552, 31, 'Lupon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(553, 31, 'Manay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(554, 31, 'Mati', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(555, 31, 'San Isidro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(556, 31, 'Tarragona', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(557, 32, 'Basilisa (Rizal)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(558, 32, 'Cagdianao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(559, 32, 'Dinagat', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(560, 32, 'Libjo (Albor)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(561, 32, 'Loreto', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(562, 32, 'San Jose', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(563, 32, 'Tubajon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(564, 33, 'Arteche', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(565, 33, 'Balangiga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(566, 33, 'Balangkayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(567, 33, 'Borongan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(568, 33, 'Can-avid', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(569, 33, 'Dolores', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(570, 33, 'General MacArthur', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(571, 33, 'Giporlos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(572, 33, 'Guiuan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(573, 33, 'Hernani', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(574, 33, 'Jipapad', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(575, 33, 'Lawaan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(576, 33, 'Llorente', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(577, 33, 'Maslog', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(578, 33, 'Maydolong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(579, 33, 'Mercedes', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(580, 33, 'Oras', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(581, 33, 'Quinapondan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(582, 33, 'Salcedo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(583, 33, 'San Julian', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(584, 33, 'San Policarpo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(585, 33, 'Sulat', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(586, 33, 'Taft', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(587, 34, 'Buenavista', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(588, 34, 'Jordan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(589, 34, 'Nueva Valencia', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(590, 34, 'San Lorenzo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(591, 34, 'Sibunag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(592, 35, 'Aguinaldo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(593, 35, 'Alfonso Lista (Potia)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(594, 35, 'Asipulo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(595, 35, 'Banaue', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(596, 35, 'Hingyon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(597, 35, 'Hungduan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(598, 35, 'Kiangan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(599, 35, 'Lagawe', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(600, 35, 'Lamut', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(601, 35, 'Mayoyao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(602, 35, 'Tinoc', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(603, 36, 'Adams', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(604, 36, 'Bacarra', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(605, 36, 'Badoc', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(606, 36, 'Bangui', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(607, 36, 'Banna (Espiritu)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(608, 36, 'Batac', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(609, 36, 'Burgos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(610, 36, 'Carasi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(611, 36, 'Currimao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(612, 36, 'Dingras', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(613, 36, 'Dumalneg', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(614, 36, 'Laoag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(615, 36, 'Marcos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(616, 36, 'Nueva Era', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(617, 36, 'Pagudpud', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(618, 36, 'Paoay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(619, 36, 'Pasuquin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(620, 36, 'Piddig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(621, 36, 'Pinili', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(622, 36, 'San Nicolas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(623, 36, 'Sarrat', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(624, 36, 'Solsona', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(625, 36, 'Vintar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(626, 37, 'Alilem', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(627, 37, 'Banayoyo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(628, 37, 'Bantay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(629, 37, 'Burgos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(630, 37, 'Cabugao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(631, 37, 'Candon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(632, 37, 'Caoayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(633, 37, 'Cervantes', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(634, 37, 'Galimuyod', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(635, 37, 'Gregorio del Pilar (Concepcion)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(636, 37, 'Lidlidda', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(637, 37, 'Magsingal', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(638, 37, 'Nagbukel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(639, 37, 'Narvacan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(640, 37, 'Quirino (Angkaki)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(641, 37, 'Salcedo (Baugen)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(642, 37, 'San Emilio', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(643, 37, 'San Esteban', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(644, 37, 'San Ildefonso', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(645, 37, 'San Juan (Lapog)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(646, 37, 'San Vicente', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(647, 37, 'Santa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(648, 37, 'Santa Catalina', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(649, 37, 'Santa Cruz', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(650, 37, 'Santa Lucia', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(651, 37, 'Santa Maria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(652, 37, 'Santiago', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(653, 37, 'Santo Domingo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(654, 37, 'Sigay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(655, 37, 'Sinait', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(656, 37, 'Sugpon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(657, 37, 'Suyo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(658, 37, 'Tagudin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(659, 37, 'Vigan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(660, 38, 'Ajuy', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(661, 38, 'Alimodian', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(662, 38, 'Anilao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(663, 38, 'Badiangan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(664, 38, 'Balasan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(665, 38, 'Banate', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(666, 38, 'Barotac Nuevo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(667, 38, 'Barotac Viejo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(668, 38, 'Batad', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(669, 38, 'Bingawan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(670, 38, 'Cabatuan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(671, 38, 'Calinog', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(672, 38, 'Carles', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(673, 38, 'Concepcion', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(674, 38, 'Dingle', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(675, 38, 'Dueñas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(676, 38, 'Dumangas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(677, 38, 'Estancia', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(678, 38, 'Guimbal', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(679, 38, 'Igbaras', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(680, 38, 'Iloilo City', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(681, 38, 'Janiuay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(682, 38, 'Lambunao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(683, 38, 'Leganes', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(684, 38, 'Lemery', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(685, 38, 'Leon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(686, 38, 'Maasin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(687, 38, 'Miagao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(688, 38, 'Mina', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(689, 38, 'New Lucena', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(690, 38, 'Oton', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(691, 38, 'Passi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(692, 38, 'Pavia', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(693, 38, 'Pototan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(694, 38, 'San Dionisio', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(695, 38, 'San Enrique', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(696, 38, 'San Joaquin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(697, 38, 'San Miguel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(698, 38, 'San Rafael', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(699, 38, 'Santa Barbara', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(700, 38, 'Sara', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(701, 38, 'Tigbauan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(702, 38, 'Tubungan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(703, 38, 'Zarraga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(704, 39, 'Alicia', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(705, 39, 'Angadanan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(706, 39, 'Aurora', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(707, 39, 'Benito Soliven', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(708, 39, 'Burgos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(709, 39, 'Cabagan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(710, 39, 'Cabatuan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(711, 39, 'Cauayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(712, 39, 'Cordon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(713, 39, 'Delfin Albano (Magsaysay)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(714, 39, 'Dinapigue', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(715, 39, 'Divilacan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(716, 39, 'Echague', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(717, 39, 'Gamu', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(718, 39, 'Ilagan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(719, 39, 'Jones', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(720, 39, 'Luna', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(721, 39, 'Maconacon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(722, 39, 'Mallig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(723, 39, 'Naguilian', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(724, 39, 'Palanan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(725, 39, 'Quezon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(726, 39, 'Quirino', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(727, 39, 'Ramon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(728, 39, 'Reina Mercedes', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(729, 39, 'Roxas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(730, 39, 'San Agustin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(731, 39, 'San Guillermo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(732, 39, 'San Isidro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(733, 39, 'San Manuel (Callang)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(734, 39, 'San Mariano', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(735, 39, 'San Mateo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(736, 39, 'San Pablo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(737, 39, 'Santa Maria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(738, 39, 'Santiago', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(739, 39, 'Santo Tomas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(740, 39, 'Tumauini', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(741, 40, 'Balbalan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(742, 40, 'Lubuagan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(743, 40, 'Pasil', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(744, 40, 'Pinukpuk', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(745, 40, 'Rizal (Liwan)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(746, 40, 'Tabuk', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(747, 40, 'Tanudan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(748, 40, 'Tinglayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(749, 41, 'Agoo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(750, 41, 'Aringay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(751, 41, 'Bacnotan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(752, 41, 'Bagulin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(753, 41, 'Balaoan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(754, 41, 'Bangar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(755, 41, 'Bauang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(756, 41, 'Burgos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(757, 41, 'Caba', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(758, 41, 'Luna', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(759, 41, 'Naguilian', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(760, 41, 'Pugo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(761, 41, 'Rosario', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(762, 41, 'San Fernando', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(763, 41, 'San Gabriel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(764, 41, 'San Juan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(765, 41, 'Santo Tomas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(766, 41, 'Santol', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(767, 41, 'Sudipen', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(768, 41, 'Tubao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(769, 42, 'Alaminos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(770, 42, 'Bay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(771, 42, 'Biñan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(772, 42, 'Cabuyao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(773, 42, 'Calamba', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(774, 42, 'Calauan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(775, 42, 'Cavinti', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(776, 42, 'Famy', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(777, 42, 'Kalayaan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(778, 42, 'Liliw', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(779, 42, 'Los Baños', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(780, 42, 'Luisiana', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(781, 42, 'Lumban', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(782, 42, 'Mabitac', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(783, 42, 'Magdalena', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(784, 42, 'Majayjay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(785, 42, 'Nagcarlan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(786, 42, 'Paete', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(787, 42, 'Pagsanjan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(788, 42, 'Pakil', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(789, 42, 'Pangil', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(790, 42, 'Pila', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(791, 42, 'Rizal', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(792, 42, 'San Pablo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(793, 42, 'San Pedro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(794, 42, 'Santa Cruz', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(795, 42, 'Santa Maria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(796, 42, 'Santa Rosa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(797, 42, 'Siniloan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(798, 42, 'Victoria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(799, 43, 'Bacolod', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(800, 43, 'Baloi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(801, 43, 'Baroy', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(802, 43, 'Iligan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(803, 43, 'Kapatagan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(804, 43, 'Kauswagan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(805, 43, 'Kolambugan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(806, 43, 'Lala', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(807, 43, 'Linamon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(808, 43, 'Magsaysay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(809, 43, 'Maigo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(810, 43, 'Matungao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(811, 43, 'Munai', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(812, 43, 'Nunungan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(813, 43, 'Pantao Ragat', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(814, 43, 'Pantar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(815, 43, 'Poona Piagapo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(816, 43, 'Salvador', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(817, 43, 'Sapad', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(818, 43, 'Sultan Naga Dimaporo (Karomatan)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(819, 43, 'Tagoloan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(820, 43, 'Tangcal', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(821, 43, 'Tubod', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(822, 44, 'Amai Manabilang (Bumbaran)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(823, 44, 'Bacolod-Kalawi (Bacolod-Grande)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(824, 44, 'Balabagan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(825, 44, 'Balindong (Watu)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(826, 44, 'Bayang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(827, 44, 'Binidayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(828, 44, 'Buadiposo-Buntong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(829, 44, 'Bubong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(830, 44, 'Butig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(831, 44, 'Calanogas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(832, 44, 'Ditsaan-Ramain', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(833, 44, 'Ganassi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(834, 44, 'Kapai', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(835, 44, 'Kapatagan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(836, 44, 'Lumba-Bayabao (Maguing)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(837, 44, 'Lumbaca-Unayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(838, 44, 'Lumbatan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(839, 44, 'Lumbayanague', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(840, 44, 'Madalum', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(841, 44, 'Madamba', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(842, 44, 'Maguing', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(843, 44, 'Malabang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(844, 44, 'Marantao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(845, 44, 'Marawi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(846, 44, 'Marogong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(847, 44, 'Masiu', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(848, 44, 'Mulondo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(849, 44, 'Pagayawan (Tatarikan)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(850, 44, 'Piagapo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(851, 44, 'Picong (Sultan Gumander)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(852, 44, 'Poona Bayabao (Gata)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(853, 44, 'Pualas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(854, 44, 'Saguiaran', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(855, 44, 'Sultan Dumalondong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(856, 44, 'Tagoloan II', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(857, 44, 'Tamparan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(858, 44, 'Taraka', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(859, 44, 'Tubaran', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(860, 44, 'Tugaya', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(861, 44, 'Wao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(862, 45, 'Abuyog', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(863, 45, 'Alangalang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(864, 45, 'Albuera', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(865, 45, 'Babatngon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(866, 45, 'Barugo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(867, 45, 'Bato', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(868, 45, 'Baybay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(869, 45, 'Burauen', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(870, 45, 'Calubian', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(871, 45, 'Capoocan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(872, 45, 'Carigara', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(873, 45, 'Dagami', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(874, 45, 'Dulag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(875, 45, 'Hilongos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(876, 45, 'Hindang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(877, 45, 'Inopacan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(878, 45, 'Isabel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(879, 45, 'Jaro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(880, 45, 'Javier (Bugho)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(881, 45, 'Julita', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(882, 45, 'Kananga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(883, 45, 'La Paz', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(884, 45, 'Leyte', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(885, 45, 'MacArthur', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(886, 45, 'Mahaplag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(887, 45, 'Matag-ob', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(888, 45, 'Matalom', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(889, 45, 'Mayorga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(890, 45, 'Merida', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(891, 45, 'Ormoc', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(892, 45, 'Palo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(893, 45, 'Palompon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(894, 45, 'Pastrana', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(895, 45, 'San Isidro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(896, 45, 'San Miguel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(897, 45, 'Santa Fe', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(898, 45, 'Tabango', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(899, 45, 'Tabontabon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(900, 45, 'Tacloban', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(901, 45, 'Tanauan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(902, 45, 'Tolosa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(903, 45, 'Tunga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(904, 45, 'Villaba', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(905, 46, 'Ampatuan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(906, 46, 'Barira', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(907, 46, 'Buldon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(908, 46, 'Buluan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(909, 46, 'Cotabato City', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(910, 46, 'Datu Abdullah Sangki', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(911, 46, 'Datu Anggal Midtimbang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(912, 46, 'Datu Blah T. Sinsuat', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(913, 46, 'Datu Hoffer Ampatuan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(914, 46, 'Datu Montawal (Pagagawan)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(915, 46, 'Datu Odin Sinsuat (Dinaig)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(916, 46, 'Datu Paglas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(917, 46, 'Datu Piang (Dulawan)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(918, 46, 'Datu Salibo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(919, 46, 'Datu Saudi-Ampatuan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(920, 46, 'Datu Unsay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(921, 46, 'General Salipada K. Pendatun', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(922, 46, 'Guindulungan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(923, 46, 'Kabuntalan (Tumbao)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(924, 46, 'Mamasapano', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(925, 46, 'Mangudadatu', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(926, 46, 'Matanog', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(927, 46, 'Northern Kabuntalan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(928, 46, 'Pagalungan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(929, 46, 'Paglat', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(930, 46, 'Pandag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(931, 46, 'Parang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(932, 46, 'Rajah Buayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(933, 46, 'Shariff Aguak (Maganoy)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(934, 46, 'Shariff Saydona Mustapha', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(935, 46, 'South Upi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(936, 46, 'Sultan Kudarat (Nuling)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(937, 46, 'Sultan Mastura', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(938, 46, 'Sultan sa Barongis (Lambayong)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(939, 46, 'Sultan Sumagka (Talitay)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(940, 46, 'Talayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(941, 46, 'Upi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(942, 47, 'Boac', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(943, 47, 'Buenavista', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(944, 47, 'Gasan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(945, 47, 'Mogpog', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(946, 47, 'Santa Cruz', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(947, 47, 'Torrijos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(948, 48, 'Aroroy', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(949, 48, 'Baleno', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(950, 48, 'Balud', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(951, 48, 'Batuan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(952, 48, 'Cataingan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(953, 48, 'Cawayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(954, 48, 'Claveria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(955, 48, 'Dimasalang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(956, 48, 'Esperanza', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(957, 48, 'Mandaon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(958, 48, 'Masbate City', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(959, 48, 'Milagros', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(960, 48, 'Mobo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(961, 48, 'Monreal', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(962, 48, 'Palanas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(963, 48, 'Pio V. Corpuz (Limbuhan)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(964, 48, 'Placer', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(965, 48, 'San Fernando', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(966, 48, 'San Jacinto', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(967, 48, 'San Pascual', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(968, 48, 'Uson', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(969, 49, 'Caloocan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(970, 49, 'Las Piñas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(971, 49, 'Makati', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(972, 49, 'Malabon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(973, 49, 'Mandaluyong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(974, 49, 'Manila', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(975, 49, 'Marikina', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(976, 49, 'Muntinlupa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(977, 49, 'Navotas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(978, 49, 'Parañaque', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(979, 49, 'Pasay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(980, 49, 'Pasig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(981, 49, 'Pateros', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(982, 49, 'Quezon City', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(983, 49, 'San Juan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(984, 49, 'Taguig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(985, 49, 'Valenzuela', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(986, 50, 'Aloran', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(987, 50, 'Baliangao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(988, 50, 'Bonifacio', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(989, 50, 'Calamba', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(990, 50, 'Clarin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(991, 50, 'Concepcion', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(992, 50, 'Don Victoriano Chiongbian (Don Mariano Marcos)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(993, 50, 'Jimenez', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(994, 50, 'Lopez Jaena', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(995, 50, 'Oroquieta', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(996, 50, 'Ozamiz', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(997, 50, 'Panaon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(998, 50, 'Plaridel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(999, 50, 'Sapang Dalaga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1000, 50, 'Sinacaban', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1001, 50, 'Tangub', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1002, 50, 'Tudela', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1003, 51, 'Alubijid', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1004, 51, 'Balingasag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1005, 51, 'Balingoan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1006, 51, 'Binuangan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1007, 51, 'Cagayan de Oro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1008, 51, 'Claveria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1009, 51, 'El Salvador', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1010, 51, 'Gingoog', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1011, 51, 'Gitagum', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1012, 51, 'Initao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1013, 51, 'Jasaan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1014, 51, 'Kinoguitan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1015, 51, 'Lagonglong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1016, 51, 'Laguindingan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1017, 51, 'Libertad', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1018, 51, 'Lugait', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1019, 51, 'Magsaysay (Linugos)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1020, 51, 'Manticao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1021, 51, 'Medina', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1022, 51, 'Naawan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1023, 51, 'Opol', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1024, 51, 'Salay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1025, 51, 'Sugbongcogon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1026, 51, 'Tagoloan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1027, 51, 'Talisayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1028, 51, 'Villanueva', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1029, 52, 'Barlig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1030, 52, 'Bauko', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1031, 52, 'Besao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1032, 52, 'Bontoc', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1033, 52, 'Natonin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1034, 52, 'Paracelis', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1035, 52, 'Sabangan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1036, 52, 'Sadanga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1037, 52, 'Sagada', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1038, 52, 'Tadian', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1039, 53, 'Bacolod', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1040, 53, 'Bago', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1041, 53, 'Binalbagan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1042, 53, 'Cadiz', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1043, 53, 'Calatrava', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1044, 53, 'Candoni', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1045, 53, 'Cauayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1046, 53, 'Enrique B. Magalona (Saravia)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1047, 53, 'Escalante', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1048, 53, 'Himamaylan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1049, 53, 'Hinigaran', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1050, 53, 'Hinoba-an (Asia)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1051, 53, 'Ilog', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1052, 53, 'Isabela', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1053, 53, 'Kabankalan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1054, 53, 'La Carlota', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1055, 53, 'La Castellana', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1056, 53, 'Manapla', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1057, 53, 'Moises Padilla (Magallon)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1058, 53, 'Murcia', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1059, 53, 'Pontevedra', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1060, 53, 'Pulupandan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1061, 53, 'Sagay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1062, 53, 'Salvador Benedicto', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1063, 53, 'San Carlos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1064, 53, 'San Enrique', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1065, 53, 'Silay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1066, 53, 'Sipalay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1067, 53, 'Talisay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1068, 53, 'Toboso', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1069, 53, 'Valladolid', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1070, 53, 'Victorias', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1071, 54, 'Amlan (Ayuquitan)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1072, 54, 'Ayungon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1073, 54, 'Bacong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1074, 54, 'Bais', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1075, 54, 'Basay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1076, 54, 'Bayawan (Tulong)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1077, 54, 'Bindoy (Payabon)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1078, 54, 'Canlaon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1079, 54, 'Dauin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1080, 54, 'Dumaguete', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1081, 54, 'Guihulngan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1082, 54, 'Jimalalud', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1083, 54, 'La Libertad', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1084, 54, 'Mabinay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1085, 54, 'Manjuyod', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1086, 54, 'Pamplona', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1087, 54, 'San Jose', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1088, 54, 'Santa Catalina', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1089, 54, 'Siaton', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1090, 54, 'Sibulan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1091, 54, 'Tanjay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1092, 54, 'Tayasan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1093, 54, 'Valencia (Luzurriaga)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1094, 54, 'Vallehermoso', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1095, 54, 'Zamboanguita', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1096, 55, 'Allen', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1097, 55, 'Biri', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1098, 55, 'Bobon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1099, 55, 'Capul', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1100, 55, 'Catarman', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1101, 55, 'Catubig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1102, 55, 'Gamay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1103, 55, 'Laoang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1104, 55, 'Lapinig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1105, 55, 'Las Navas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1106, 55, 'Lavezares', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1107, 55, 'Lope de Vega', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1108, 55, 'Mapanas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1109, 55, 'Mondragon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1110, 55, 'Palapag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1111, 55, 'Pambujan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1112, 55, 'Rosario', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1113, 55, 'San Antonio', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1114, 55, 'San Isidro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1115, 55, 'San Jose', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1116, 55, 'San Roque', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1117, 55, 'San Vicente', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1118, 55, 'Silvino Lobos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1119, 55, 'Victoria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1120, 56, 'Aliaga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1121, 56, 'Bongabon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1122, 56, 'Cabanatuan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1123, 56, 'Cabiao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1124, 56, 'Carranglan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1125, 56, 'Cuyapo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1126, 56, 'Gabaldon (Bitulok & Sabani)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1127, 56, 'Gapan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1128, 56, 'General Mamerto Natividad', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1129, 56, 'General Tinio (Papaya)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1130, 56, 'Guimba', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1131, 56, 'Jaen', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1132, 56, 'Laur', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1133, 56, 'Licab', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1134, 56, 'Llanera', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1135, 56, 'Lupao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1136, 56, 'Muñoz', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1137, 56, 'Nampicuan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1138, 56, 'Palayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1139, 56, 'Pantabangan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1140, 56, 'Peñaranda', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1141, 56, 'Quezon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1142, 56, 'Rizal', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1143, 56, 'San Antonio', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1144, 56, 'San Isidro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1145, 56, 'San Jose', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1146, 56, 'San Leonardo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1147, 56, 'Santa Rosa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1148, 56, 'Santo Domingo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1149, 56, 'Talavera', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1150, 56, 'Talugtug', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1151, 56, 'Zaragoza', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1152, 57, 'Alfonso Castañeda', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1153, 57, 'Ambaguio', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1154, 57, 'Aritao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1155, 57, 'Bagabag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1156, 57, 'Bambang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1157, 57, 'Bayombong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1158, 57, 'Diadi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1159, 57, 'Dupax del Norte', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1160, 57, 'Dupax del Sur', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1161, 57, 'Kasibu', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1162, 57, 'Kayapa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1163, 57, 'Quezon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1164, 57, 'Santa Fe (Imugan)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1165, 57, 'Solano', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1166, 57, 'Villaverde (Ibung)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1167, 58, 'Abra de Ilog', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1168, 58, 'Calintaan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1169, 58, 'Looc', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1170, 58, 'Lubang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1171, 58, 'Magsaysay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1172, 58, 'Mamburao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1173, 58, 'Paluan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1174, 58, 'Rizal', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1175, 58, 'Sablayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1176, 58, 'San Jose', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1177, 58, 'Santa Cruz', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1178, 59, 'Baco', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1179, 59, 'Bansud', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1180, 59, 'Bongabong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1181, 59, 'Bulalacao (San Pedro)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1182, 59, 'Calapan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1183, 59, 'Gloria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1184, 59, 'Mansalay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1185, 59, 'Naujan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1186, 59, 'Pinamalayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1187, 59, 'Pola', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1188, 59, 'Puerto Galera', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1189, 59, 'Roxas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1190, 59, 'San Teodoro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1191, 59, 'Socorro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1192, 59, 'Victoria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1193, 60, 'Aborlan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1194, 60, 'Agutaya', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1195, 60, 'Araceli', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1196, 60, 'Balabac', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1197, 60, 'Bataraza', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1198, 60, 'Brooke\'s Point', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1199, 60, 'Busuanga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1200, 60, 'Cagayancillo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1201, 60, 'Coron', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1202, 60, 'Culion', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1203, 60, 'Cuyo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1204, 60, 'Dumaran', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1205, 60, 'El Nido (Bacuit)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1206, 60, 'Kalayaan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1207, 60, 'Linapacan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1208, 60, 'Magsaysay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1209, 60, 'Narra', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1210, 60, 'Puerto Princesa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1211, 60, 'Quezon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1212, 60, 'Rizal (Marcos)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1213, 60, 'Roxas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1214, 60, 'San Vicente', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1215, 60, 'Sofronio Española', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1216, 60, 'Taytay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1217, 61, 'Angeles', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1218, 61, 'Apalit', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1219, 61, 'Arayat', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1220, 61, 'Bacolor', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1221, 61, 'Candaba', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1222, 61, 'Floridablanca', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1223, 61, 'Guagua', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1224, 61, 'Lubao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1225, 61, 'Mabalacat', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1226, 61, 'Macabebe', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1227, 61, 'Magalang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1228, 61, 'Masantol', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1229, 61, 'Mexico', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1230, 61, 'Minalin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1231, 61, 'Porac', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1232, 61, 'San Fernando', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1233, 61, 'San Luis', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1234, 61, 'San Simon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1235, 61, 'Santa Ana', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1236, 61, 'Santa Rita', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1237, 61, 'Santo Tomas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1238, 61, 'Sasmuan (Sexmoan)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1239, 62, 'Agno', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1240, 62, 'Aguilar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1241, 62, 'Alaminos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1242, 62, 'Alcala', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1243, 62, 'Anda', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1244, 62, 'Asingan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1245, 62, 'Balungao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1246, 62, 'Bani', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1247, 62, 'Basista', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1248, 62, 'Bautista', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1249, 62, 'Bayambang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1250, 62, 'Binalonan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1251, 62, 'Binmaley', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1252, 62, 'Bolinao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1253, 62, 'Bugallon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1254, 62, 'Burgos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1255, 62, 'Calasiao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1256, 62, 'Dagupan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1257, 62, 'Dasol', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1258, 62, 'Infanta', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1259, 62, 'Labrador', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1260, 62, 'Laoac', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1261, 62, 'Lingayen', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1262, 62, 'Mabini', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1263, 62, 'Malasiqui', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1264, 62, 'Manaoag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1265, 62, 'Mangaldan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1266, 62, 'Mangatarem', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1267, 62, 'Mapandan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1268, 62, 'Natividad', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1269, 62, 'Pozorrubio', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1270, 62, 'Rosales', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1271, 62, 'San Carlos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1272, 62, 'San Fabian', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1273, 62, 'San Jacinto', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1274, 62, 'San Manuel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1275, 62, 'San Nicolas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1276, 62, 'San Quintin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1277, 62, 'Santa Barbara', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1278, 62, 'Santa Maria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1279, 62, 'Santo Tomas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1280, 62, 'Sison', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1281, 62, 'Sual', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1282, 62, 'Tayug', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1283, 62, 'Umingan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1284, 62, 'Urbiztondo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1285, 62, 'Urdaneta', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1286, 62, 'Villasis', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1287, 63, 'Agdangan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1288, 63, 'Alabat', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1289, 63, 'Atimonan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1290, 63, 'Buenavista', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1291, 63, 'Burdeos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1292, 63, 'Calauag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1293, 63, 'Candelaria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1294, 63, 'Catanauan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1295, 63, 'Dolores', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1296, 63, 'General Luna', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1297, 63, 'General Nakar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1298, 63, 'Guinayangan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1299, 63, 'Gumaca', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1300, 63, 'Infanta', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1301, 63, 'Jomalig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1302, 63, 'Lopez', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1303, 63, 'Lucban', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1304, 63, 'Lucena', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1305, 63, 'Macalelon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1306, 63, 'Mauban', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1307, 63, 'Mulanay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1308, 63, 'Padre Burgos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1309, 63, 'Pagbilao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1310, 63, 'Panukulan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1311, 63, 'Patnanungan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1312, 63, 'Perez', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1313, 63, 'Pitogo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1314, 63, 'Plaridel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1315, 63, 'Polillo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1316, 63, 'Quezon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1317, 63, 'Real', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1318, 63, 'Sampaloc', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1319, 63, 'San Andres', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1320, 63, 'San Antonio', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1321, 63, 'San Francisco (Aurora)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1322, 63, 'San Narciso', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1323, 63, 'Sariaya', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1324, 63, 'Tagkawayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1325, 63, 'Tayabas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1326, 63, 'Tiaong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1327, 63, 'Unisan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1328, 64, 'Aglipay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1329, 64, 'Cabarroguis', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1330, 64, 'Diffun', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1331, 64, 'Maddela', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1332, 64, 'Nagtipunan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1333, 64, 'Saguday', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1334, 65, 'Angono', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1335, 65, 'Antipolo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1336, 65, 'Baras', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1337, 65, 'Binangonan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1338, 65, 'Cainta', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1339, 65, 'Cardona', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1340, 65, 'Jalajala', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1341, 65, 'Morong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1342, 65, 'Pililla', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1343, 65, 'Rodriguez (Montalban)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1344, 65, 'San Mateo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1345, 65, 'Tanay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1346, 65, 'Taytay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1347, 65, 'Teresa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1348, 66, 'Alcantara', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1349, 66, 'Banton (Jones)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1350, 66, 'Cajidiocan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1351, 66, 'Calatrava', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1352, 66, 'Concepcion', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1353, 66, 'Corcuera', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1354, 66, 'Ferrol', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1355, 66, 'Looc', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1356, 66, 'Magdiwang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1357, 66, 'Odiongan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1358, 66, 'Romblon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1359, 66, 'San Agustin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1360, 66, 'San Andres', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1361, 66, 'San Fernando', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1362, 66, 'San Jose', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1363, 66, 'Santa Fe', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1364, 66, 'Santa Maria (Imelda)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1365, 6, 'Almagro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1366, 67, 'Basey', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1367, 67, 'Calbayog', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1368, 67, 'Calbiga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1369, 67, 'Catbalogan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1370, 67, 'Daram', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1371, 67, 'Gandara', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1372, 67, 'Hinabangan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1373, 67, 'Jiabong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1374, 67, 'Marabut', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1375, 67, 'Matuguinao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1376, 67, 'Motiong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1377, 67, 'Pagsanghan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1378, 67, 'Paranas (Wright)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1379, 67, 'Pinabacdao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1380, 67, 'San Jorge', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1381, 67, 'San Jose de Buan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1382, 67, 'San Sebastian', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1383, 67, 'Santa Margarita', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1384, 67, 'Santa Rita', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1385, 67, 'Santo Niño', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1386, 67, 'Tagapul-an', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1387, 67, 'Talalora', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1388, 67, 'Tarangnan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1389, 67, 'Villareal', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1390, 67, 'Zumarraga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1391, 68, 'Alabel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1392, 68, 'Glan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1393, 68, 'Kiamba', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1394, 68, 'Maasim', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1395, 68, 'Maitum', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1396, 68, 'Malapatan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1397, 68, 'Malungon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1398, 69, 'Enrique Villanueva', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1399, 69, 'Larena', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1400, 69, 'Lazi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1401, 69, 'Maria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1402, 69, 'San Juan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1403, 69, 'Siquijor', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1404, 70, 'Barcelona', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1405, 70, 'Bulan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1406, 70, 'Bulusan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1407, 70, 'Casiguran', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1408, 70, 'Castilla', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1409, 70, 'Donsol', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1410, 70, 'Gubat', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1411, 70, 'Irosin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1412, 70, 'Juban', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1413, 70, 'Magallanes', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1414, 70, 'Matnog', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1415, 70, 'Pilar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1416, 70, 'Prieto Diaz', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1417, 70, 'Santa Magdalena', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1418, 70, 'Sorsogon City', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1419, 71, 'Banga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1420, 71, 'General Santos (Dadiangas)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1421, 71, 'Koronadal', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1422, 71, 'Lake Sebu', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1423, 71, 'Norala', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1424, 71, 'Polomolok', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1425, 71, 'Santo Niño', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1426, 71, 'Surallah', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1427, 71, 'T\'Boli', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1428, 71, 'Tampakan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1429, 71, 'Tantangan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1430, 71, 'Tupi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1431, 72, 'Anahawan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1432, 72, 'Bontoc', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1433, 72, 'Hinunangan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1434, 72, 'Hinundayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1435, 72, 'Libagon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1436, 72, 'Liloan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1437, 72, 'Limasawa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1438, 72, 'Maasin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1439, 72, 'Macrohon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1440, 72, 'Malitbog', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1441, 72, 'Padre Burgos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1442, 72, 'Pintuyan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1443, 72, 'Saint Bernard', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1444, 72, 'San Francisco', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1445, 72, 'San Juan (Cabalian)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1446, 72, 'San Ricardo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1447, 72, 'Silago', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1448, 72, 'Sogod', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1449, 72, 'Tomas Oppus', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1450, 73, 'Bagumbayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1451, 73, 'Columbio', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1452, 73, 'Esperanza', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1453, 73, 'Isulan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1454, 73, 'Kalamansig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1455, 73, 'Lambayong (Mariano Marcos)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1456, 73, 'Lebak', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1457, 73, 'Lutayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1458, 73, 'Palimbang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1459, 73, 'President Quirino', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1460, 73, 'Senator Ninoy Aquino', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1461, 73, 'Tacurong', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1462, 74, 'Banguingui (Tongkil)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1463, 74, 'Hadji Panglima Tahil (Marunggas)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1464, 74, 'Indanan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1465, 74, 'Jolo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1466, 74, 'Kalingalan Caluang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1467, 74, 'Lugus', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1468, 74, 'Luuk', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1469, 74, 'Maimbung', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1470, 74, 'Old Panamao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1471, 74, 'Omar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1472, 74, 'Pandami', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1473, 74, 'Panglima Estino (New Panamao)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1474, 74, 'Pangutaran', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1475, 74, 'Parang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1476, 74, 'Pata', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1477, 74, 'Patikul', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1478, 74, 'Siasi', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1479, 74, 'Talipao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1480, 74, 'Tapul', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1481, 75, 'Alegria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1482, 75, 'Bacuag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1483, 75, 'Burgos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1484, 75, 'Claver', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1485, 75, 'Dapa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1486, 75, 'Del Carmen', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1487, 75, 'General Luna', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1488, 75, 'Gigaquit', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1489, 75, 'Mainit', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1490, 75, 'Malimono', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1491, 75, 'Pilar', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1492, 75, 'Placer', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1493, 75, 'San Benito', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1494, 75, 'San Francisco (Anao-Aon)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1495, 75, 'San Isidro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1496, 75, 'Santa Monica (Sapao)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1497, 75, 'Sison', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1498, 75, 'Socorro', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1499, 75, 'Surigao City', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1500, 75, 'Tagana-an', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1501, 75, 'Tubod', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1502, 76, 'Barobo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1503, 76, 'Bayabas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1504, 76, 'Bislig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1505, 76, 'Cagwait', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1506, 76, 'Cantilan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1507, 76, 'Carmen', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1508, 76, 'Carrascal', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1509, 76, 'Cortes', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1510, 76, 'Hinatuan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1511, 76, 'Lanuza', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1512, 76, 'Lianga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1513, 76, 'Lingig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1514, 76, 'Madrid', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1515, 76, 'Marihatag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1516, 76, 'San Agustin', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1517, 76, 'San Miguel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1518, 76, 'Tagbina', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1519, 76, 'Tago', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1520, 76, 'Tandag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1521, 77, 'Anao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1522, 77, 'Bamban', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1523, 77, 'Camiling', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1524, 77, 'Capas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1525, 77, 'Concepcion', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1526, 77, 'Gerona', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1527, 77, 'La Paz', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1528, 77, 'Mayantoc', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1529, 77, 'Moncada', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1530, 77, 'Paniqui', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1531, 77, 'Pura', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1532, 77, 'Ramos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1533, 77, 'San Clemente', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1534, 77, 'San Jose', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1535, 77, 'San Manuel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1536, 77, 'Santa Ignacia', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1537, 77, 'Tarlac City', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1538, 77, 'Victoria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1539, 78, 'Bongao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1540, 78, 'Languyan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1541, 78, 'Mapun (Cagayan de Tawi-Tawi)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1542, 78, 'Panglima Sugala (Balimbing)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1543, 78, 'Sapa-Sapa', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1544, 78, 'Sibutu', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1545, 78, 'Simunul', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1546, 78, 'Sitangkai', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1547, 78, 'South Ubian', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1548, 78, 'Tandubas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1549, 78, 'Turtle Islands (Taganak)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1550, 79, 'Botolan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1551, 79, 'Cabangan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1552, 79, 'Candelaria', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1553, 79, 'Castillejos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1554, 79, 'Iba', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1555, 79, 'Masinloc', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1556, 79, 'Olongapo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1557, 79, 'Palauig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1558, 79, 'San Antonio', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1559, 79, 'San Felipe', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1560, 79, 'San Marcelino', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1561, 79, 'San Narciso', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1562, 79, 'Santa Cruz', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1563, 79, 'Subic', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1564, 80, 'Baliguian', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1565, 80, 'Dapitan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1566, 80, 'Dipolog', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1567, 80, 'Godod', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1568, 80, 'Gutalac', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1569, 80, 'Jose Dalman (Ponot)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1570, 80, 'Kalawit', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1571, 80, 'Katipunan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1572, 80, 'La Libertad', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1573, 80, 'Labason', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1574, 80, 'Leon B. Postigo (Bacungan)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1575, 80, 'Liloy', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1576, 80, 'Manukan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1577, 80, 'Mutia', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1578, 80, 'Piñan (New Piñan)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1579, 80, 'Polanco', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1580, 80, 'President Manuel A. Roxas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1581, 80, 'Rizal', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1582, 80, 'Salug', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1583, 80, 'Sergio Osmeña Sr.', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1584, 80, 'Siayan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1585, 80, 'Sibuco', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1586, 80, 'Sibutad', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1587, 80, 'Sindangan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1588, 80, 'Siocon', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1589, 80, 'Sirawai', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1590, 80, 'Tampilisan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1591, 81, 'Aurora', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1592, 81, 'Bayog', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1593, 81, 'Dimataling', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1594, 81, 'Dinas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1595, 81, 'Dumalinao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1596, 81, 'Dumingag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1597, 81, 'Guipos', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1598, 81, 'Josefina', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1599, 81, 'Kumalarang', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1600, 81, 'Labangan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1601, 81, 'Lakewood', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1602, 81, 'Lapuyan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1603, 81, 'Mahayag', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1604, 81, 'Margosatubig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1605, 81, 'Midsalip', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1606, 81, 'Molave', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1607, 81, 'Pagadian', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1608, 81, 'Pitogo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1609, 81, 'Ramon Magsaysay (Liargo)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1610, 81, 'San Miguel', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1611, 81, 'San Pablo', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1612, 81, 'Sominot (Don Mariano Marcos)', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1613, 81, 'Tabina', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1614, 81, 'Tambulig', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1615, 81, 'Tigbao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1616, 81, 'Tukuran', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1617, 81, 'Vincenzo A. Sagun', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1618, 81, 'Zamboanga City', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1619, 82, 'Alicia', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1620, 82, 'Buug', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1621, 82, 'Diplahan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1622, 82, 'Imelda', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1623, 82, 'Ipil', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1624, 82, 'Kabasalan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1625, 82, 'Mabuhay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1626, 82, 'Malangas', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1627, 82, 'Naga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1628, 82, 'Olutanga', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1629, 82, 'Payao', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1630, 82, 'Roseller Lim', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1631, 82, 'Siay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1632, 82, 'Talusan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1633, 82, 'Titay', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00'),
	(1634, 82, 'Tungawan', 0, 0, '2017-05-12 23:18:56', '0000-00-00 00:00:00');
/*!40000 ALTER TABLE `tbl_city` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_color
CREATE TABLE IF NOT EXISTS `tbl_color` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `color_code` varchar(20) NOT NULL,
  `color` varchar(50) NOT NULL,
  `active` enum('yes','no') NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`,`modified_by`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_color: ~0 rows (approximately)
/*!40000 ALTER TABLE `tbl_color` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_color` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_company
CREATE TABLE IF NOT EXISTS `tbl_company` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_code` varchar(50) NOT NULL,
  `company` varchar(50) NOT NULL,
  `active` enum('yes','no') NOT NULL,
  `created_by` int(11) DEFAULT '0',
  `modified_by` int(11) DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_company: ~7 rows (approximately)
/*!40000 ALTER TABLE `tbl_company` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_company` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_company_per_dept
CREATE TABLE IF NOT EXISTS `tbl_company_per_dept` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL,
  `department_id` int(11) NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`),
  KEY `FK_tbl_company_per_dept_tbl_company` (`company_id`),
  KEY `FK_tbl_company_per_dept_tbl_department` (`department_id`),
  CONSTRAINT `FK_tbl_company_per_dept_tbl_company` FOREIGN KEY (`company_id`) REFERENCES `tbl_company` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_tbl_company_per_dept_tbl_department` FOREIGN KEY (`department_id`) REFERENCES `tbl_department` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table sample_1.tbl_company_per_dept: ~25 rows (approximately)
/*!40000 ALTER TABLE `tbl_company_per_dept` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_company_per_dept` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_department
CREATE TABLE IF NOT EXISTS `tbl_department` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `department_num` varchar(50) NOT NULL,
  `description` varchar(100) NOT NULL,
  `active` enum('yes','no') NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `department_num` (`department_num`),
  KEY `created_by` (`created_by`,`modified_by`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_department: ~27 rows (approximately)
/*!40000 ALTER TABLE `tbl_department` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_department` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_issued_to
CREATE TABLE IF NOT EXISTS `tbl_issued_to` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `issued_to` varchar(50) NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_issued_to: ~4 rows (approximately)
/*!40000 ALTER TABLE `tbl_issued_to` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_issued_to` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_item
CREATE TABLE IF NOT EXISTS `tbl_item` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_type_id` int(11) NOT NULL DEFAULT '0',
  `category_id` int(11) NOT NULL,
  `item_code` varchar(20) NOT NULL,
  `item_name` varchar(50) NOT NULL,
  `description` varchar(200) NOT NULL,
  `remarks` varchar(200) NOT NULL,
  `active` enum('yes','no') NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`),
  KEY `created_by` (`created_by`,`modified_by`),
  KEY `item_type` (`item_type_id`),
  CONSTRAINT `tbl_item_ibfk_1` FOREIGN KEY (`category_id`) REFERENCES `tbl_category` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_item: ~96 rows (approximately)
/*!40000 ALTER TABLE `tbl_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_item` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_item_company
CREATE TABLE IF NOT EXISTS `tbl_item_company` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL DEFAULT '0',
  `item_quantity_id` int(11) NOT NULL,
  `quantity` int(11) NOT NULL,
  `released_quantity` int(11) NOT NULL,
  `qty_pub` int(11) NOT NULL,
  `qty_released_pub` int(11) NOT NULL,
  `not_working_quantity` int(11) NOT NULL,
  `defective_quantity` int(11) NOT NULL,
  `for_config_quantity` int(11) NOT NULL,
  `created_by` int(11) DEFAULT '0',
  `modified_by` int(11) DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `company_id` (`company_id`),
  KEY `item_quantity_id` (`item_quantity_id`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_item_company: ~583 rows (approximately)
/*!40000 ALTER TABLE `tbl_item_company` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_item_company` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_item_quantity
CREATE TABLE IF NOT EXISTS `tbl_item_quantity` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `color_id` int(11) NOT NULL DEFAULT '0',
  `size_id` int(11) NOT NULL DEFAULT '0',
  `unit_id` int(11) NOT NULL DEFAULT '0',
  `qty_posted` varchar(50) NOT NULL COMMENT 'Dating quantity',
  `qty_saved` varchar(50) NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `item_id` (`item_id`),
  KEY `color_id` (`color_id`),
  KEY `size_id` (`size_id`),
  KEY `unit_id` (`unit_id`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`),
  CONSTRAINT `FK_tbl_item_quantity_tbl_item` FOREIGN KEY (`item_id`) REFERENCES `tbl_item` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_item_quantity: ~102 rows (approximately)
/*!40000 ALTER TABLE `tbl_item_quantity` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_item_quantity` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_item_type
CREATE TABLE IF NOT EXISTS `tbl_item_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_code` varchar(20) NOT NULL,
  `description` varchar(100) NOT NULL,
  `IT_configuration` enum('yes','no') NOT NULL,
  `active` enum('yes','no') NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`,`modified_by`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_item_type: ~20 rows (approximately)
/*!40000 ALTER TABLE `tbl_item_type` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_item_type` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_it_config
CREATE TABLE IF NOT EXISTS `tbl_it_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `serial_id` int(11) NOT NULL,
  `product_key` int(11) NOT NULL,
  `license_id` int(11) NOT NULL,
  `computer_name` varchar(20) NOT NULL,
  `status_hardware` enum('working','defective uw','defective ow','not working uw','not working ow') NOT NULL,
  `mac_address` varchar(50) NOT NULL,
  `remarks` varchar(50) NOT NULL,
  `os` varchar(200) NOT NULL,
  `microsoft` varchar(200) NOT NULL,
  `admin_released_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `status` enum('saved','posted') NOT NULL,
  `created_by` int(11) DEFAULT '0',
  `modified_by` int(11) DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `serial_id` (`serial_id`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`),
  KEY `license_id` (`license_id`),
  KEY `product_key` (`product_key`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_it_config: ~22 rows (approximately)
/*!40000 ALTER TABLE `tbl_it_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_it_config` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_license
CREATE TABLE IF NOT EXISTS `tbl_license` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type_of_license` enum('os','office') NOT NULL,
  `license` varchar(100) NOT NULL,
  `max_user` int(11) NOT NULL DEFAULT '0',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=COMPACT;

-- Dumping data for table sample_1.tbl_license: ~6 rows (approximately)
/*!40000 ALTER TABLE `tbl_license` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_license` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_location
CREATE TABLE IF NOT EXISTS `tbl_location` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `city_id` int(11) NOT NULL,
  `location_code` varchar(20) NOT NULL,
  `address` varchar(200) NOT NULL,
  `active` enum('yes','no') NOT NULL,
  `created_by` int(11) DEFAULT '0',
  `modified_by` int(11) DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`,`modified_by`),
  KEY `city_id` (`city_id`),
  CONSTRAINT `tbl_location_ibfk_1` FOREIGN KEY (`city_id`) REFERENCES `tbl_city` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_location: ~38 rows (approximately)
/*!40000 ALTER TABLE `tbl_location` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_location` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_module
CREATE TABLE IF NOT EXISTS `tbl_module` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `module_num` varchar(20) NOT NULL,
  `module` varchar(100) NOT NULL,
  `icon` varchar(100) NOT NULL,
  `active` enum('yes','no') NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `module_num` (`module_num`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=COMPACT;

-- Dumping data for table sample_1.tbl_module: ~6 rows (approximately)
/*!40000 ALTER TABLE `tbl_module` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_module` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_module_permission
CREATE TABLE IF NOT EXISTS `tbl_module_permission` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `module_id` int(11) NOT NULL,
  `sub_module_id` int(11) NOT NULL DEFAULT '0',
  `permission_id` int(11) NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`),
  KEY `module_id` (`module_id`),
  KEY `permission_id` (`permission_id`),
  KEY `user_id` (`user_id`),
  KEY `sub_module_id` (`sub_module_id`),
  CONSTRAINT `FK_tbl_module_permission_tbl_module` FOREIGN KEY (`module_id`) REFERENCES `tbl_module` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_tbl_module_permission_tbl_permission` FOREIGN KEY (`permission_id`) REFERENCES `tbl_permission` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_tbl_module_permission_tbl_user` FOREIGN KEY (`user_id`) REFERENCES `tbl_user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=COMPACT;

-- Dumping data for table sample_1.tbl_module_permission: ~5 rows (approximately)
/*!40000 ALTER TABLE `tbl_module_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_module_permission` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_permission
CREATE TABLE IF NOT EXISTS `tbl_permission` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `permission_num` varchar(20) NOT NULL,
  `permission` varchar(100) NOT NULL,
  `active` enum('yes','no') NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `permission_num` (`permission_num`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=COMPACT;

-- Dumping data for table sample_1.tbl_permission: ~5 rows (approximately)
/*!40000 ALTER TABLE `tbl_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_permission` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_province
CREATE TABLE IF NOT EXISTS `tbl_province` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `province` varchar(50) NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`,`modified_by`)
) ENGINE=InnoDB AUTO_INCREMENT=83 DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_province: ~82 rows (approximately)
/*!40000 ALTER TABLE `tbl_province` DISABLE KEYS */;
INSERT INTO `tbl_province` (`id`, `province`, `created_by`, `modified_by`, `date_created`, `date_modified`) VALUES
	(1, 'Abra', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(2, 'Agusan del Norte', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(3, 'Agusan del Sur', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(4, 'Aklan', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(5, 'Albay', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(6, 'Antique', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(7, 'Apayao', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(8, 'Aurora', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(9, 'Basilan', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(10, 'Bataan', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(11, 'Batanes', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(12, 'Batangas', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(13, 'Benguet', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(14, 'Biliran', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(15, 'Bohol', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(16, 'Bukidnon', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(17, 'Bulacan', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(18, 'Cagayan', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(19, 'Camarines Norte', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(20, 'Camarines Sur', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(21, 'Camiguin', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(22, 'Capiz', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(23, 'Catanduanes', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(24, 'Cavite', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(25, 'Cebu', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(26, 'Compostela Valley', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(27, 'Cotabato', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(28, 'Davao del Norte', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(29, 'Davao del Sur', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(30, 'Davao Occidental', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(31, 'Davao Oriental', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(32, 'Dinagat Islands', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(33, 'Eastern Samar', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(34, 'Guimaras', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(35, 'Ifugao', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(36, 'Ilocos Norte', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(37, 'Ilocos Sur', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(38, 'Iloilo', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(39, 'Isabela', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(40, 'Kalinga', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(41, 'La Union', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(42, 'Laguna', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(43, 'Lanao del Norte', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(44, 'Lanao del Sur', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(45, 'Leyte', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(46, 'Maguindanao', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(47, 'Marinduque', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(48, 'Masbate', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(49, 'Metro Manila', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(50, 'Misamis Occidental', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(51, 'Misamis Oriental', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(52, 'Mountain Province', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(53, 'Negros Occidental', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(54, 'Negros Oriental', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(55, 'Northern Samar', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(56, 'Nueva Ecija', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(57, 'Nueva Vizcaya', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(58, 'Occidental Mindoro', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(59, 'Oriental Mindoro', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(60, 'Palawan', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(61, 'Pampanga', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(62, 'Pangasinan', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(63, 'Quezon', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(64, 'Quirino', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(65, 'Rizal', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(66, 'Romblon', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(67, 'Samar', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(68, 'Sarangani', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(69, 'Siquijor', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(70, 'Sorsogon', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(71, 'South Cotabato', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(72, 'Southern Leyte', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(73, 'Sultan Kudarat', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(74, 'Sulu', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(75, 'Surigao del Norte', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(76, 'Surigao del Sur', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(77, 'Tarlac', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(78, 'Tawi-Tawi', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(79, 'Zambales', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(80, 'Zamboanga del Norte', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(81, 'Zamboanga del Sur', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00'),
	(82, 'Zamboanga Sibugay', 0, 0, '2017-05-13 07:17:54', '0000-00-00 00:00:00');
/*!40000 ALTER TABLE `tbl_province` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_quantity_trans
CREATE TABLE IF NOT EXISTS `tbl_quantity_trans` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_quantity_id` int(11) NOT NULL,
  `trans_type` enum('received','released','returned') NOT NULL,
  `old_total_quantity` varchar(50) NOT NULL,
  `quantity_added` varchar(50) NOT NULL,
  `new_total_quantity` varchar(50) NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `item_id` (`item_quantity_id`),
  KEY `created_by` (`created_by`,`modified_by`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_quantity_trans: ~0 rows (approximately)
/*!40000 ALTER TABLE `tbl_quantity_trans` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_quantity_trans` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_received_item
CREATE TABLE IF NOT EXISTS `tbl_received_item` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `supplier_id` int(11) NOT NULL DEFAULT '0' COMMENT 'supplier_id,user_id',
  `category_id` int(11) NOT NULL,
  `company_id` int(11) NOT NULL DEFAULT '0',
  `department_id` int(11) NOT NULL DEFAULT '0',
  `received_code` varchar(20) NOT NULL,
  `received_status` enum('saved','posted') NOT NULL,
  `user_type` enum('admin','publication') NOT NULL DEFAULT 'admin',
  `received_date` date NOT NULL,
  `PO_number` varchar(20) NOT NULL,
  `PO_date` date NOT NULL,
  `remarks_other` varchar(1000) NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `received_from_id` (`supplier_id`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`),
  KEY `category_id` (`category_id`),
  KEY `company_id` (`company_id`),
  KEY `department_id` (`department_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_received_item: ~40 rows (approximately)
/*!40000 ALTER TABLE `tbl_received_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_received_item` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_received_item_item
CREATE TABLE IF NOT EXISTS `tbl_received_item_item` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `received_item_id` int(11) NOT NULL,
  `item_company_id` int(11) NOT NULL,
  `serial_id` int(11) NOT NULL DEFAULT '0',
  `asset_code` varchar(20) NOT NULL,
  `quantity` varchar(50) NOT NULL,
  `warranty_date` date NOT NULL,
  `received_type` varchar(50) NOT NULL COMMENT '''Ready for IT'',''Ready for Release''',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `received_item_id` (`received_item_id`),
  KEY `item_id` (`item_company_id`),
  KEY `serial_id` (`serial_id`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`),
  CONSTRAINT `FK_tbl_received_item_item_tbl_item` FOREIGN KEY (`received_item_id`) REFERENCES `tbl_received_item` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_received_item_item: ~359 rows (approximately)
/*!40000 ALTER TABLE `tbl_received_item_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_received_item_item` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_released_attach
CREATE TABLE IF NOT EXISTS `tbl_released_attach` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `released_item_id` int(11) NOT NULL,
  `file_name` text NOT NULL,
  `file_type` text NOT NULL,
  `file_size` text NOT NULL,
  `file_content` longblob NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `released_item_id` (`released_item_id`),
  KEY `created_by` (`created_by`,`modified_by`),
  CONSTRAINT `tbl_released_attach_ibfk_1` FOREIGN KEY (`released_item_id`) REFERENCES `tbl_released_item` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_released_attach: ~0 rows (approximately)
/*!40000 ALTER TABLE `tbl_released_attach` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_released_attach` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_released_item
CREATE TABLE IF NOT EXISTS `tbl_released_item` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `category_id` int(11) NOT NULL,
  `bookstore_id` int(11) NOT NULL DEFAULT '0',
  `company_id` int(11) NOT NULL DEFAULT '0',
  `issued_to_id` int(11) NOT NULL DEFAULT '0' COMMENT 'user_id or issued_id',
  `issued_to_department_id` int(11) unsigned NOT NULL DEFAULT '0',
  `released_code` varchar(20) NOT NULL,
  `released_status` enum('saved','posted') NOT NULL,
  `return_status` enum('saved','posted') DEFAULT NULL,
  `or_no` varchar(50) NOT NULL,
  `or_date` date NOT NULL,
  `remarks` varchar(50) NOT NULL COMMENT '''w/ Loan Agreement'',''w/o Loan Agreement''',
  `remarks_other` varchar(1000) NOT NULL,
  `released_date` date NOT NULL,
  `or_receipt` enum('','yes','no') NOT NULL,
  `dr_receipt` enum('','yes','no') NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`),
  KEY `user_id` (`user_id`),
  KEY `dept_id` (`bookstore_id`),
  KEY `issued_to_department` (`issued_to_department_id`),
  KEY `category_id` (`category_id`),
  KEY `issued_to` (`issued_to_id`),
  KEY `company_id` (`company_id`),
  CONSTRAINT `tbl_released_item_tbl_category` FOREIGN KEY (`category_id`) REFERENCES `tbl_category` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_released_item: ~17 rows (approximately)
/*!40000 ALTER TABLE `tbl_released_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_released_item` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_released_item_item
CREATE TABLE IF NOT EXISTS `tbl_released_item_item` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `released_item_id` int(11) NOT NULL,
  `item_company_id` int(11) NOT NULL DEFAULT '0',
  `serial_id` int(11) NOT NULL DEFAULT '0',
  `location_id` int(11) NOT NULL DEFAULT '0',
  `date_released` date NOT NULL,
  `date_returned` date NOT NULL,
  `type` enum('released','returned') DEFAULT NULL,
  `return_status` enum('saved','posted') DEFAULT NULL,
  `notif_pub` enum('notread','read') DEFAULT 'notread',
  `notif_date` date DEFAULT NULL,
  `user_type` enum('admin','publication') NOT NULL,
  `quantity` varchar(50) NOT NULL,
  `pub_received_quantity` varchar(50) NOT NULL,
  `pub_status` enum('saved','posted') DEFAULT 'saved',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`),
  KEY `received_item_item_id` (`item_company_id`),
  KEY `location_id` (`location_id`),
  KEY `released_item_id` (`released_item_id`),
  KEY `serial_id` (`serial_id`),
  CONSTRAINT `FK_tbl_released_item_item_tbl_released_item` FOREIGN KEY (`released_item_id`) REFERENCES `tbl_released_item` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_released_item_item: ~24 rows (approximately)
/*!40000 ALTER TABLE `tbl_released_item_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_released_item_item` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_returned_item
CREATE TABLE IF NOT EXISTS `tbl_returned_item` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `received_item_id` int(11) NOT NULL,
  `released_item_item_id` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `received_item_id` (`received_item_id`),
  KEY `released_item_item_id` (`released_item_item_id`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`),
  CONSTRAINT `FK_tbl_returned_item_tbl_received_item` FOREIGN KEY (`received_item_id`) REFERENCES `tbl_received_item` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_tbl_returned_item_tbl_released_item_item` FOREIGN KEY (`released_item_item_id`) REFERENCES `tbl_released_item_item` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_returned_item: ~2 rows (approximately)
/*!40000 ALTER TABLE `tbl_returned_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_returned_item` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_serial
CREATE TABLE IF NOT EXISTS `tbl_serial` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_company_id` int(11) NOT NULL,
  `serial` varchar(50) NOT NULL,
  `created_by` int(11) DEFAULT '0',
  `modified_by` int(11) DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `item_company_id` (`item_company_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_serial: ~0 rows (approximately)
/*!40000 ALTER TABLE `tbl_serial` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_serial` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_size
CREATE TABLE IF NOT EXISTS `tbl_size` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `size_code` varchar(20) NOT NULL,
  `description` varchar(50) NOT NULL,
  `active` enum('yes','no') NOT NULL,
  `created_by` int(11) DEFAULT '0',
  `modified_by` int(11) DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_size: ~22 rows (approximately)
/*!40000 ALTER TABLE `tbl_size` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_size` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_sub_module
CREATE TABLE IF NOT EXISTS `tbl_sub_module` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `module_id` int(11) NOT NULL,
  `sub_num` varchar(20) NOT NULL,
  `sub_module` varchar(100) NOT NULL,
  `icon` varchar(100) NOT NULL,
  `active` enum('yes','no') NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `module_num` (`sub_num`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`),
  KEY `module_id` (`module_id`),
  CONSTRAINT `FK_tbl_sub_module_tbl_module` FOREIGN KEY (`module_id`) REFERENCES `tbl_module` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=COMPACT;

-- Dumping data for table sample_1.tbl_sub_module: ~25 rows (approximately)
/*!40000 ALTER TABLE `tbl_sub_module` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_sub_module` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_supplier
CREATE TABLE IF NOT EXISTS `tbl_supplier` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `city_id` int(11) NOT NULL,
  `supplier_code` varchar(20) NOT NULL,
  `supplier_name` varchar(50) NOT NULL,
  `address` varchar(50) NOT NULL,
  `contact_person` varchar(50) NOT NULL,
  `contact_no` varchar(50) NOT NULL,
  `active` enum('yes','no') NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`),
  KEY `city_id` (`city_id`),
  CONSTRAINT `fk_tbl_supplier_tbl_city` FOREIGN KEY (`city_id`) REFERENCES `tbl_city` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_supplier: ~17 rows (approximately)
/*!40000 ALTER TABLE `tbl_supplier` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_supplier` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_total_quantity_per_item
CREATE TABLE IF NOT EXISTS `tbl_total_quantity_per_item` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `total_quantity` int(11) NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `item_id` (`item_id`),
  KEY `created_by` (`created_by`),
  KEY `modified_by` (`modified_by`),
  CONSTRAINT `tbl_total_quantity_per_item_ibfk_1` FOREIGN KEY (`item_id`) REFERENCES `tbl_item` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_total_quantity_per_item: ~58 rows (approximately)
/*!40000 ALTER TABLE `tbl_total_quantity_per_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_total_quantity_per_item` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_unit_of_measure
CREATE TABLE IF NOT EXISTS `tbl_unit_of_measure` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `unit_of_measure_code` varchar(20) NOT NULL,
  `description` varchar(50) NOT NULL,
  `active` enum('yes','no') NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`,`modified_by`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_unit_of_measure: ~5 rows (approximately)
/*!40000 ALTER TABLE `tbl_unit_of_measure` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_unit_of_measure` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_user
CREATE TABLE IF NOT EXISTS `tbl_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL,
  `password` varchar(255) NOT NULL,
  `user_type` enum('user','admin','superadmin','it','publication','employee') NOT NULL,
  `active` enum('yes','no') NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`),
  KEY `created_by` (`created_by`,`modified_by`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_user: ~19 rows (approximately)
/*!40000 ALTER TABLE `tbl_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_user` ENABLE KEYS */;

-- Dumping structure for table sample_1.tbl_user_info
CREATE TABLE IF NOT EXISTS `tbl_user_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `company_id` int(11) NOT NULL,
  `user_code` varchar(50) NOT NULL,
  `department_id` int(11) NOT NULL,
  `fname` varchar(50) NOT NULL,
  `lname` varchar(50) NOT NULL,
  `mname` varchar(50) NOT NULL,
  `employment_status` varchar(50) NOT NULL,
  `email` varchar(200) DEFAULT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `date_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `department_id` (`department_id`),
  KEY `user_id` (`user_id`),
  KEY `created_by` (`created_by`,`modified_by`),
  KEY `company_id` (`company_id`),
  CONSTRAINT `FK_tbl_user_info_tbl_company` FOREIGN KEY (`company_id`) REFERENCES `tbl_company` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `tbl_user_info_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `tbl_user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `tbl_user_info_ibfk_2` FOREIGN KEY (`department_id`) REFERENCES `tbl_department` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table sample_1.tbl_user_info: ~19 rows (approximately)
/*!40000 ALTER TABLE `tbl_user_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `tbl_user_info` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
